/*
 *  This file is part of ixemul.library for the Amiga.
 *  Copyright (C) 1991, 1992  Markus M. Wild
 *  Portions Copyright (C) 1994 Rafael W. Luebbert
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: smallfuncs.c,v 1.1 1994/06/24 22:10:32 rluebbert Exp $
 *
 *  $Log: smallfuncs.c,v $
 * Revision 1.1  1994/06/24  22:10:32  rluebbert
 * Initial revision
 *
 */

#include <unistd.h>

int chown(const char *s, uid_t usr, gid_t gr)
{
  return 0;
}

struct group *getgrent(void)
{
  return 0;
}

int setgrent (void)
{
  return 1;
}

void endgrent ()
{
}

gid_t getgid(void)
{
  return 0;
}

uid_t getuid(void)
{
  return 0;
}

gid_t getegid(void)
{
  return 0;
}

uid_t geteuid(void)
{
  return 0;
}

pid_t getppid(void)
{
  /* all processes have been started by init :-)) */
  return 1;
}

/* not really useful.. but it's there ;-)) */

int getpagesize(void)
{
  return 2048;
}

int initgroups(const char *name, int basegid)
{
  return 0;
}

extern char _ctype_[];
extern int sys_nerr;

void ix_get_vars (char **ctype, int *_sys_nerr)
{
  if (ctype)
    *ctype = _ctype_;
  if (_sys_nerr)
    *_sys_nerr = sys_nerr;
}

int setgroups(int ngroups, const int *gidset)
{
  return (ngroups >= 1) ? 0 : -1;
}

int setpgrp(pid_t pid, pid_t pgrp)
{
  return pid==pgrp ? 0 : -1;
}
